> For the complete documentation index, see [llms.txt](https://docs.cyberway.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cyberway.io/devportal/create_application.md).

# Guide to Creating and Deploying an Application on CyberWay

This guide is intended to target the developers of smart contracts on CyberWay platform, as well as those who are interested in development using blockchain.\
The guide provides step-by-step instructions for creating and establishing a decentralized application on smart contracts for CyberWay blockchain. The guide also contains several instructions for implementing the most important software components including the smart contracts. A part of the instructions is inherited from the [EOS](https://developers.eos.io/eosio-home/docs/) blockchain documentation.

The body of the manual may be adjusted within the process of development of CyberWay platform.

**Contents:**

* [1 Preliminary Work](/devportal/create_application/overview.md) &#x20;
* [2 Creating a Simple Contract](/devportal/create_application/hello_users.md) &#x20;
* [3 Creating Tokens](/devportal/create_application/create_tokens.md) &#x20;
* [4 Understanding ABI Files](/devportal/create_application/abi_file.md) &#x20;
* [5 Data Persistence](/devportal/create_application/data_persistence.md) &#x20;
* [6 Secondary Indexes](/devportal/create_application/secondary_indexes.md) &#x20;
* [7 Adding Inline Actions](/devportal/create_application/adding_inline_actions.md) &#x20;
* [8 Inline Action to External Contract](/devportal/create_application/inline_action_to_external_contract.md) &#x20;
* [9 Conclusion](/devportal/create_application/conclusion.md) &#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cyberway.io/devportal/create_application.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
